classification
Title: Remove sqlite3.Cache display method
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, brett.cannon, ghaering, palaviv, r.david.murray
Priority: normal Keywords:

Created on 2017-05-04 18:49 by palaviv, last changed 2018-07-23 05:55 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1462 closed palaviv, 2017-05-04 18:51
Messages (7)
msg293005 - (view) Author: Aviv Palivoda (palaviv) * Date: 2017-05-04 18:49
The display method is there for debugging and should not be in the released code.
msg293023 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-05-04 22:29
How long has the method been there? And does it hurt anything for it to be exposed? Removing it at this point may break code if it predates Python 3.7.
msg293053 - (view) Author: Aviv Palivoda (palaviv) * Date: 2017-05-05 07:19
From looking at the git blame this is there since 2006. Maybe this should be dependent on issue #30262. Maybe at first there should be a deprecation warning and then removing this later.
I understand that this might break someone's code but this is an undocumented method of an undocumented class in the sqlite3 module. I don't think that there will be a lot of people that use the sqlite3.Cache object.
msg293124 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-05-05 16:47
With over 10 years of existence for that method, I can guarantee you someone relies on it, and so we should do a reasonable job to avoid breaking them without at least some warning first.
msg293130 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-05-05 17:18
If it is there for debugging, why would we want to remove it?
msg293137 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-05-05 19:11
FWIW, I agree with Brett and David. Did you try to use it? I prefer to fix it even if it's broken at the moment.
msg322177 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-07-23 05:55
Closing this as 'rejected' for the reasons given by Brett and David. Thanks for working on this!
History
Date User Action Args
2018-07-23 05:55:18berker.peksagsetstatus: open -> closed
resolution: rejected
messages: + msg322177

stage: resolved
2017-05-05 19:11:57berker.peksagsetmessages: + msg293137
2017-05-05 17:18:48r.david.murraysetnosy: + r.david.murray
messages: + msg293130
2017-05-05 16:47:27brett.cannonsetmessages: + msg293124
2017-05-05 07:19:48palavivsetmessages: + msg293053
2017-05-04 22:29:36brett.cannonsetnosy: + brett.cannon
messages: + msg293023
2017-05-04 18:51:55palavivsetpull_requests: + pull_request1559
2017-05-04 18:49:54palavivcreate